/**
 * Basic typography style for copy text
 */
body {
  color: $text-color;
  font-family: $font-geometria;
  font-size: 16px;
}

.neo-label {
	font-size: 12px;
	padding-left: 19px;
	display: inline-flex;
	flex-direction: column;
	align-items: center;
	font-weight: bold;
	&:before {
		background-image: url(../img/ui/neo.svg);
		content: '';
		display: block;
		width: 10px;
		height: 16px;
		top: 0;
		left: 0;
		position: absolute;

	}
}

.color-pink {
	color: $pink !important;
}

.link {
	color: $purple;
	&:hover {
		color: $purple;
	}
	.section--dark &:not(.no-dark) {
		color: #fff;
	}
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
	font-weight: bold;
	font-family: $font-geometria;
	margin: 0;
	&:first-child {
		margin-top: 0;
	}
}


h1,.h1 {
	font-weight: 800;
	font-size: 44px;
	line-height: 1;
	.text-block & {
		margin-top: 66px;
		margin-bottom: 22px;	
	}
}

h2,.h2 {
	font-weight: 800;
	font-size: 40px;
	line-height: 1.2;
	margin-bottom: 20px;
	margin-top: 60px;
}

h3,.h3 {
	font-size: 36px;
	line-height: 1.05;
	font-weight: 800;
	.text-block & {
		margin-top: 54px;
		margin-bottom: 18px;
	}
}
h4,.h4 {
	font-size: 24px;
	line-height: 1.25;
	font-weight: 800;
	.text-block & {
		margin-top: 36px;
		margin-bottom: 12px;
	}
}
h5,.h5 {
	font-size: 20px;
	line-height: 1.1;
	.text-block & {
		margin-top: 30px;
		margin-bottom: 10px;
	}
}

h6,
.h6 {
	font-size: 18px;
	line-height: 1.11;
	.text-block & {
		margin-top: 27px;
		margin-bottom: 10px;
	}
}


ol.style-list,
ul.style-list,
.text-block ul,
.text-block ol {
	padding: 0;
	margin: 15px 0;
	font-size: inherit;
	line-height: 1.56;
	list-style: none;

	ol,
	ul {
		margin: 6px 0;
		list-style: none;
	}

	li {
		padding-left: 23px;

		&:not(:last-child) {
			margin-bottom: 9px;
		}
	}
}
ul.style-list,
.text-block ul {
	li:before {
		position: absolute;
		content: "";
		width: 7px;
		height: 7px;
		top: 9px;
		left: 0;
		background-color: $pink;
	}
	&.style-list_medium {
		font-size: 14px;
		line-height: 1.5;
		li {
			padding-left: 12px;
			&:not(:last-child) {
				margin-bottom: 8px;
			}
			&:before {
				width: 4px;
				height: 4px;
				top: 8px;
			}
		}
	}
}

ol.style-list,
.text-block ol {
	counter-reset: Counter;
	li {
		counter-increment: Counter;
		&:before {
			content: counter(Counter)'.';
			position: absolute;
			top: 2px;
			left: 0;
			font-size: 16px;
			font-weight: 600;
			line-height: (23/16);
			color: #27135D;
		}
	}
	.section--dark & {
		li:before {
			color: #fff;
		}
	}
}


.text-block {
	font-family: $font-root;
	font-size: 16px;
	line-height: 1.5;
	color: #11072C;
	& > *:first-child {
		margin-top: 0;	
	}
	& > *:last-child {
		margin-bottom: 0;	
	}
	p {
		margin-bottom: 10px;
		margin-top: 10px;
		line-height: 1.56;
	}
	.buttons {
		margin-top: 22px;
	}
}

.buttons {
	display: flex;
	flex-wrap: wrap;
	margin-left: -30px;
	margin-top: -10px;
	.button {
		margin-left: 30px;
		margin-top: 10px;
	}
}